﻿<div class="cell" @onclick="@OnClick">@value</div>

@functions
{
    [Parameter]
    public char value { get; set; }

    [Parameter]
    public EventCallback OnClick { get; set; }
}

<style scoped>
    .cell {
        background-color: rgba(255, 255, 255, 0.8);
        border: 1px solid rgba(0, 0, 0, 0.8);
        width: 60px;
        height: 60px;
        font-size: 30px;
        text-align: center;
        vertical-align: middle;
        line-height: 60px;
        cursor: pointer;
    }
    .cell:hover {
        background-color: rgba(0, 0, 0, 0.8);
        color: rgba(255, 255, 255, 1);
    }
</style>